Subject: Guaranty Form
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Apr 2000 09:05:00 -0700 (PDT)

Clement,  Attached is a form of guaranty by Enron Corp. for ECS Compression 
Services Company, LLC.  (ECC).  ECC is owned approximately 9% by Enron 
Compression Services Company (a 100% owned ENA subsidiary).  The form has 
been reviewed by Continental Divide Electric Cooperative, Inc. (the 
Counterparty) and they are OK with it.  Please review and let me know if you 
have any questions.  If everything looks good, please obtain execution.

Thanks for your help.